Loading...
Searching...
No Matches
branch_basic< T, M >

## Detailed Description

template<class T, class M = rheo_default_memory_model>
class rheolef::branch_basic< T, M >

Examples
  zalesak_dg_adapt.cc.

Definition at line 83 of file branch.h.

Inheritance diagram for branch_basic< T, M >:

## Public Types

typedef std::vector< std::pair< std::string, field_basic< T, M > > > | base
typedef base::size_type | size_type

## Public Member Functions

| branch_basic ()
| ~branch_basic ()
| branch_basic (const branch_basic< T, M > &)
branch_basic< T, M > & | operator= (const branch_basic< T, M > &)
template<typename... Args>
| branch_basic (const std::string &parameter, Args... names)
const T & | parameter () const
const std::string & | parameter_name () const
size_type | n_value () const
size_type | n_field () const
void | set_parameter_name (const std::string &name)
void | set_parameter (const T &value)
void | set_range (const std::pair< T, T > &u_range)
template<typename... Args>
__obranch< T, M > | operator() (const T &t, const field_basic< T, M > &u0, Args... uk)
template<typename... Args>
__iobranch< T, M > | operator() (T &t, field_basic< T, M > &u0, Args &... uk)
__branch_header< T, M > | header ()
__const_branch_header< T, M > | header () const
__const_branch_finalize< T, M > | finalize () const
void | get_header_rheolef (idiststream &)
void | get_event_rheolef (idiststream &)
void | put_header (odiststream &) const
void | put_finalize (odiststream &) const
void | put_header_rheolef (odiststream &) const
void | put_event_rheolef (odiststream &) const
void | put_finalize_rheolef (odiststream &) const

## Protected Attributes

std::string | _parameter_name
T | _parameter_value
size_type | _n_value
size_type | _count_value
std::ostream * | _p_data_out
std::ostream * | _p_ctrl_out
bool | _header_in_done
bool | _header_out_done
bool | _finalize_out_done
std::string | _to_clean
std::pair< T, T > | _u_range
std::pair< bool, bool > | _have_u_range

## Member Typedef Documentation

## base

template<class T , class M = rheo_default_memory_model>

typedef std::vector<std::pair<std::string,field_basic<T,M> > > base

Definition at line 87 of file branch.h.

## size_type

template<class T , class M = rheo_default_memory_model>

typedef base::size_type size_type

Definition at line 88 of file branch.h.

## Constructor & Destructor Documentation

## branch_basic() [1/3]

template<class T , class M >

branch_basic | ( |  | ) |

Definition at line 237 of file branch.h.

## ~branch_basic()

template<class T , class M >

~branch_basic | ( |  | ) |

Definition at line 29 of file branch.cc.

## branch_basic() [2/3]

template<class T , class M >

branch_basic | ( | const branch_basic< T, M > & | x | ) |

Definition at line 256 of file branch.h.

## branch_basic() [3/3]

template<class T , class M >
template<typename... Args>

branch_basic | ( | const std::string & | parameter,
|  | Args... | names
| ) |  |

Definition at line 294 of file branch.h.

## Member Function Documentation

## operator=()

template<class T , class M >

branch_basic< T, M > & operator= | ( | const branch_basic< T, M > & | x | ) |

Definition at line 275 of file branch.h.

## parameter()

template<class T , class M >

const T & parameter | ( |  | ) | const

Definition at line 326 of file branch.h.

## parameter_name()

template<class T , class M >

const std::string & parameter_name | ( |  | ) | const

Definition at line 333 of file branch.h.

## n_value()

template<class T , class M >

branch_basic< T, M >::size_type n_value | ( |  | ) | const

Definition at line 340 of file branch.h.

## n_field()

template<class T , class M >

branch_basic< T, M >::size_type n_field | ( |  | ) | const

Definition at line 347 of file branch.h.

## set_parameter_name()

template<class T , class M >

void set_parameter_name | ( | const std::string & | name | ) |

Definition at line 357 of file branch.h.

## set_parameter()

template<class T , class M >

void set_parameter | ( | const T & | value | ) |

Definition at line 364 of file branch.h.

## set_range()

template<class T , class M >

void set_range | ( | const std::pair< T, T > & | u_range | ) |

Definition at line 371 of file branch.h.

## operator()() [1/2]

template<class T , class M >
template<typename... Args>

__obranch< T, M > operator() | ( | const T & | t,
|  | const field_basic< T, M > & | u0,
|  | Args... | uk
| ) |  |

Definition at line 509 of file branch.h.

## operator()() [2/2]

template<class T , class M >
template<typename... Args>

__iobranch< T, M > operator() | ( | T & | t,
|  | field_basic< T, M > & | u0,
|  | Args &... | uk
| ) |  |

Definition at line 521 of file branch.h.

## header() [1/2]

template<class T , class M >

__branch_header< T, M > header | ( |  | ) |

Definition at line 404 of file branch.h.

## header() [2/2]

template<class T , class M >

__const_branch_header< T, M > header | ( |  | ) | const

Definition at line 411 of file branch.h.

## finalize()

template<class T , class M >

__const_branch_finalize< T, M > finalize | ( |  | ) | const

Definition at line 430 of file branch.h.

## get_header_rheolef()

template<class T , class M >

void get_header_rheolef | ( | idiststream & | in | ) |

Definition at line 39 of file branch.cc.

## get_event_rheolef()

template<class T , class M >

void get_event_rheolef | ( | idiststream & | in | ) |

Definition at line 56 of file branch.cc.

## put_header()

template<class T , class M >

void put_header | ( | odiststream & | out | ) | const

Definition at line 160 of file branch.cc.

## put_finalize()

template<class T , class M >

void put_finalize | ( | odiststream & | out | ) | const

Definition at line 235 of file branch.cc.

## put_header_rheolef()

template<class T , class M >

void put_header_rheolef | ( | odiststream & | out | ) | const

Definition at line 124 of file branch.cc.

## put_event_rheolef()

template<class T , class M >

void put_event_rheolef | ( | odiststream & | out | ) | const

Definition at line 168 of file branch.cc.

## put_finalize_rheolef()

template<class T , class M >

void put_finalize_rheolef | ( | odiststream & | out | ) | const

Definition at line 210 of file branch.cc.

## Member Data Documentation

## _parameter_name

template<class T , class M = rheo_default_memory_model>

std::string _parameter_name

protected

Definition at line 204 of file branch.h.

## _parameter_value

template<class T , class M = rheo_default_memory_model>

T _parameter_value

protected

Definition at line 205 of file branch.h.

## _n_value

template<class T , class M = rheo_default_memory_model>

size_type _n_value

protected

Definition at line 206 of file branch.h.

## _count_value

template<class T , class M = rheo_default_memory_model>

size_type _count_value

mutable protected

Definition at line 207 of file branch.h.

## _p_data_out

template<class T , class M = rheo_default_memory_model>

std::ostream* _p_data_out

mutable protected

Definition at line 208 of file branch.h.

## _p_ctrl_out

template<class T , class M = rheo_default_memory_model>

std::ostream* _p_ctrl_out

mutable protected

Definition at line 209 of file branch.h.

## _header_in_done

template<class T , class M = rheo_default_memory_model>

bool _header_in_done

mutable protected

Definition at line 210 of file branch.h.

## _header_out_done

template<class T , class M = rheo_default_memory_model>

bool _header_out_done

mutable protected

Definition at line 211 of file branch.h.

## _finalize_out_done

template<class T , class M = rheo_default_memory_model>

bool _finalize_out_done

mutable protected

Definition at line 212 of file branch.h.

## _to_clean

template<class T , class M = rheo_default_memory_model>

std::string _to_clean

mutable protected

Definition at line 213 of file branch.h.

## _u_range

template<class T , class M = rheo_default_memory_model>

std::pair<T,T> _u_range

mutable protected

Definition at line 214 of file branch.h.

## _have_u_range

template<class T , class M = rheo_default_memory_model>

std::pair<bool,bool> _have_u_range

mutable protected

Definition at line 215 of file branch.h.

The documentation for this class was generated from the following files:

- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/branch.h
- /build/rheolef-mDkPTY/rheolef-7.2/main/lib/branch.cc